## org.exist.xquery.functions
Class ExtPhrase

    java.lang.Object
      org.exist.xquery.AbstractExpression
          org.exist.xquery.PathExpr
              org.exist.xquery.Function
                  org.exist.xquery.functions.ExtFulltext
                      org.exist.xquery.functions.ExtPhrase

All Implemented Interfaces:
  CompiledExpression, CompiledXQuery, Expression

public class ExtPhrase
extends ExtFulltext

phrase() function : search an exact phrase in a NodeSet

Author:
  Bruno Chatel <bcha@chadocs.com> (March 30, 2005)

Field Summary

Fields inherited from class org.exist.xquery.functions.ExtFulltext
`signature`

Fields inherited from class org.exist.xquery.Function
`BUILTIN_FUNCTION_NS`

Fields inherited from interface org.exist.xquery.Expression
`DOT_TEST, EXPRESSION_ID_INVALID, IGNORE_CONTEXT, IN_PREDICATE, IN_UPDATE, IN_WHERE_CLAUSE, NO_CONTEXT_ID, SINGLE_STEP_EXECUTION`

Constructor Summary
`ExtPhrase(XQueryContext context)`

Method Summary
`void` `dump(ExpressionDumper dumper)` Write a diagnostic dump of the expression to the passed `ExpressionDumper`.
`Sequence` `evalQuery(java.lang.String searchArg, NodeSet nodes)`
`java.lang.String` `toString()`

Methods inherited from class org.exist.xquery.functions.ExtFulltext
`addTerm, analyze, countTerms, eval, getDependencies, preselect, resetState, returnsType, setContextDocSet, setPath`

Methods inherited from class org.exist.xquery.Function
`createFunction, getArgument, getArgumentCount, getArguments, getASTNode, getCardinality, getName, getParent, getSignature, isCalledAs, setArguments, setASTNode, setParent, setPrimaryAxis`

Methods inherited from class org.exist.xquery.PathExpr
`accept, add, add, addPath, addPredicate, dump, getContext, getDocumentSet, getExpression, getLastExpression, getLength, getLiteralValue, getSource, isValid, replaceLastExpression, reset, setContext, setSource`

Methods inherited from class org.exist.xquery.AbstractExpression
`eval, getContextDocSet, getContextId, getExpressionId`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.exist.xquery.CompiledXQuery
`eval`

Constructor Detail

### ExtPhrase

    public ExtPhrase(XQueryContext context)

Parameters:
  `context` -

Method Detail

### evalQuery

    public Sequence evalQuery(java.lang.String searchArg,
                              NodeSet nodes)
                       throws XPathException

  Overrides:
    `evalQuery` in class `ExtFulltext`
  Parameters:
    `searchArg` -
    `nodes` -
  Throws:
    `XPathException`

### dump

    public void dump(ExpressionDumper dumper)

  Description copied from interface: `Expression`
  Write a diagnostic dump of the expression to the passed `ExpressionDumper`.

  Specified by:
    `dump` in interface `Expression`
  Overrides:
    `dump` in class `ExtFulltext`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `ExtFulltext`

Copyright (C) Wolfgang Meier. All rights reserved.